Discord Musikbot erstellen [OUTDATED] – Python



Python runterladen und installieren:

ffmpeg runterladen:

Packages, die wir noch installieren müssen:
discord.py
youtube_dl
PyNaCl

discord.py mit python3.7 verwenden:
python -m pip install -U

Bot mit Server verbinden:

⭐ VIP werden ⭐

, , , , ,

23 thoughts on “Discord Musikbot erstellen [OUTDATED] – Python

  1. bei mir steht immer:
    ———————————————————————————————————————————————————————————————————————————————-
    Ignoring exception in command play:
    Traceback (most recent call last):
    File "C:UsersxxxAppDataLocalProgramsPythonPython36libsite-packagesdiscordextcommandscore.py", line 79, in wrapped
    ret = await coro(*args, **kwargs)
    File "D:DiscordBotbot.py", line 14, in play
    channel = ctx.message.autor.voice_channel
    AttributeError: 'Message' object has no attribute 'autor'

    The above exception was the direct cause of the following exception:

    Traceback (most recent call last):
    File "C:UsersxxxAppDataLocalProgramsPythonPython36libsite-packagesdiscordextcommandsbot.py", line 859, in invoke
    await ctx.command.invoke(ctx)
    File "C:UsersxxxAppDataLocalProgramsPythonPython36libsite-packagesdiscordextcommandscore.py", line 725, in invoke
    await injected(*ctx.args, **ctx.kwargs)
    File "C:UsersxxxAppDataLocalProgramsPythonPython36libsite-packagesdiscordextcommandscore.py", line 88, in wrapped
    raise CommandInvokeError(exc) from exc
    discord.ext.commands.errors.CommandInvokeError: Command raised an exception: AttributeError: 'Message' object has no attribute 'autor'
    ———————————————————————————————————————————————————————————————————————————————-
    kann mir da jemand weiterhelfen?

  2. Könntest du das etwas anders/genaue erklären? Ich habe das allen nicht ganz verstanden. Meine fragen wären z.B. Was ist diesen "pass_context=True". Und den rest hab ich nicht soweit verstanden dass ich fragen stellen könnte…
    LG

  3. Traceback (most recent call last):

    File "C:/Users/yusuf/PycharmProjects/DiscordBot#1/Bot.py", line 1, in <module>

    import discord.ext

    File "C:UsersyusufPycharmProjectsDiscordBot#1venvlibsite-packagesdiscord__init__.py", line 20, in <module>

    from . import client

    File "C:UsersyusufPycharmProjectsDiscordBot#1venvlibsite-packagesdiscordclient.py", line 38, in <module>

    from . import state

    File "C:UsersyusufPycharmProjectsDiscordBot#1venvlibsite-packagesdiscordstate.py", line 36, in <module>

    from . import utils, compat

    File "C:UsersyusufPycharmProjectsDiscordBot#1venvlibsite-packagesdiscordcompat.py", line 32

    create_task = asyncio.async

    ^

    SyntaxError: invalid syntax

    ich habe diese Meldung bekommen ich verstehe dies nicht genau

  4. Bekomme diese Fehlermeldung habe die Version 2018.3.3

    Traceback (most recent call last):

    File "C:/Users/Jannik/PycharmProjects/KMABot/bot.py", line 1, in <module>

    from discord.ext import commands

    File "C:UsersJannikAppDataLocalProgramsPythonPython37-32libsite-packagesdiscord__init__.py", line 20, in <module>

    from .client import Client, AppInfo, ChannelPermissions

    File "C:UsersJannikAppDataLocalProgramsPythonPython37-32libsite-packagesdiscordclient.py", line 38, in <module>

    from .state import ConnectionState

    File "C:UsersJannikAppDataLocalProgramsPythonPython37-32libsite-packagesdiscordstate.py", line 36, in <module>

    from . import utils, compat

    File "C:UsersJannikAppDataLocalProgramsPythonPython37-32libsite-packagesdiscordcompat.py", line 32

    create_task = asyncio.async

    ^

    SyntaxError: invalid syntax

    Process finished with exit code 1

  5. Hey, hätte da ne Frage: mein bot is auf dem Server und so , nur wenn ich das skrip ausführe bekomme ich folgeneden Error: client_session: <aiohttp.client.ClientSession object at 0x000002140C372400> hab nen bischen dazu gesucht und da kam was von ac whitelist raus… aber ka was genau. Falls du ne Lösung dafür hast wäre ich echt dankbar ! (py. version 3.6.0 (alle aktuellen packages))

  6. wenn ich die bot.py beim 1. mal starten möchte kommt bei mir folgender error anstatt "bot ist bereit"

    Traceback (most recent call last):
    File "C:/Users/Julian/PycharmProjects/Bot/Bot.py", line 1, in <module>
    from discord.ext import commands
    File "C:UsersJulianPycharmProjectsBotvenvlibsite-packagesdiscord__init__.py", line 20, in <module>
    from .client import Client, AppInfo, ChannelPermissions
    File "C:UsersJulianPycharmProjectsBotvenvlibsite-packagesdiscordclient.py", line 38, in <module>
    from .state import ConnectionState
    File "C:UsersJulianPycharmProjectsBotvenvlibsite-packagesdiscordstate.py", line 36, in <module>
    from . import utils, compat
    File "C:UsersJulianPycharmProjectsBotvenvlibsite-packagesdiscordcompat.py", line 32
    create_task = asyncio.async
    ^
    SyntaxError: invalid syntax

    kannst du mir da helfen ?=

  7. Danke für dein Cooles Tutorial 😀 Aber eine kurze Frage: Kann ich nachdem ich den Code fertig habe PyCharm schließen? Bitte schnelle Antwort!

  8. die variablen sind bei mir korrekt allerdigs bekomme ich dieise fehlermeldung die du in deinem video beschrieben hast. das selbe auch nach einem neustart. was ist falsch? pls help

  9. Hey,

    wieso kann man nur einmal den play command verwenden?
    Also wenn ich ein weiteres Lied reinmachen möchte kommt eine Fehlermeldung. Um ein weiteres Lied zuhören muss ich den Bot neustarten.

  10. Ich bekomme diesen fehler code: was kann ich tun? bzw was mache ich falsch?

    Ignoring exception in command play
    Traceback (most recent call last):
    File "C:Users…PycharmProjectsfredvenvlibsite-packagesdiscordextcommandsbot.py", line 846, in process_commands
    yield from command.invoke(ctx)
    File "C:Users…PycharmProjectsfredvenvlibsite-packagesdiscordextcommandscore.py", line 367, in invoke
    yield from self.prepare(ctx)
    File "C:Users…PycharmProjectsfredvenvlibsite-packagesdiscordextcommandscore.py", line 345, in prepare
    yield from self._parse_arguments(ctx)
    File "C:Users…PycharmProjectsfredvenvlibsite-packagesdiscordextcommandscore.py", line 304, in _parse_arguments
    transformed = yield from self.transform(ctx, param)
    File "C:Users…PycharmProjectsfredvenvlibsite-packagesdiscordextcommandscore.py", line 212, in transform
    raise MissingRequiredArgument('{0.name} is a required argument that is missing.'.format(param))
    discord.ext.commands.errors.MissingRequiredArgument: url is a required argument that is missing.

    kann mir jemand helfen?
    ich verwende Python 3.6.6

    bzw. gibt es ein anderes Discord package?

  11. Habe kleines problem: Ich habe mir Python Heruntergeladen sowie das ffmpeg beides Funktioniert. Aber wo bitte schreibst du den Code rein? (also welches programm ist das). Kann ich auch evntl Eclipse verwenden?

Leave a Reply

Your email address will not be published. Required fields are marked *